package app

import (
	v1 "git.echol.cn/loser/st/server/api/v1"
	"git.echol.cn/loser/st/server/middleware"
	"github.com/gin-gonic/gin"
)

type RegexScriptRouter struct{}

// InitRegexScriptRouter 初始化正则脚本路由
func (r *RegexScriptRouter) InitRegexScriptRouter(Router *gin.RouterGroup) {
	regexRouter := Router.Group("regex").Use(middleware.AppJWTAuth())
	regexApi := v1.ApiGroupApp.AppApiGroup.RegexScriptApi

	{
		regexRouter.POST("", regexApi.CreateRegexScript)       // 创建正则脚本
		regexRouter.GET("", regexApi.GetRegexScriptList)       // 获取正则脚本列表
		regexRouter.GET(":id", regexApi.GetRegexScriptByID)    // 获取正则脚本详情
		regexRouter.PUT(":id", regexApi.UpdateRegexScript)     // 更新正则脚本
		regexRouter.DELETE(":id", regexApi.DeleteRegexScript)  // 删除正则脚本
		regexRouter.POST(":id/test", regexApi.TestRegexScript) // 测试正则脚本
	}
}
